Part Circle/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Part: Cerc")
 
No edit summary
 
(28 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand|Name=Part Circle|MenuLocation=Part → [[Part_CreatePrimitives|Create Primitives]] → Circle|Workbenches=[[Part Module|Part]], [[OpenSCAD_Module|OpenSCAD]]|SeeAlso=..}}


{{Docnav
|[[Part_Spiral|Spiral]]
|[[Part_Ellipse|Ellipse]]
|[[Part_Workbench|Part]]
|IconL=Part_Spiral.svg
|IconR=Part_Ellipse.svg
|IconC=Workbench_Part.svg
}}


<div class="mw-translate-fuzzy">
== Description ==
{{GuiCommand|Name=Part Circle|MenuLocation=Part → [[Part_CreatePrimitives|Create Primitives]] → Circle|Workbenches=[[Part Workbench|Part]], [[OpenSCAD_Workbench|OpenSCAD]]|SeeAlso=..}}
A Circle geometric primitive is available from the Create Primitives dialogue in the Part workbench.
</div>


<span id="Description"></span>
The Create Primitives dialogue can be accessed via the [[Part_CreatePrimitives|CreatePrimitives]] icon [[Image:Part_CreatePrimitives.png|32px]] located in the Part menu or the Part toolbar, in the Part Workbench.
<div class="mw-translate-fuzzy">
== Descriere ==
Un element primitiv geometric este Circle care este disponibil din dialogul Create Primitives în Atelierul de lucru Part.
</div>


<div class="mw-translate-fuzzy">
This command will create a circular curved edge. With the default values, the circular curved edge will be closed and therefore will be a circle. If the properties Angle 0 or Angle 1 are changed from their default values (0 and 360) the edge will be an open curve, an arc.
Această comandă va crea o muchie curbată circulară. Cu valorile implicite, muchia curbată circulară va fi închisă și, prin urmare, va fi un cerc. Dacă proprietățile Unghi 0 sau Unghi 1 sunt modificate din valorile implicite (0 și 360) marginea va fi o curbă deschisă, un arc de cerc.
</div>


A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties.
Alternatively a Part Circle can be initially defined from three points. Once created the circle will only contain the standard Part Circle properties and will no longer contain a reference to the creation points.


[[Image:Part_Circle_Example.png|400px]]


===Properties===
==Usage==


See [[Part_Primitives#Usage|Part Primitives]].
* {{Parameter|Radius}}: the radius of the curved edge (arc or circle)

* {{Parameter|Angle 0}}: start of the curved edge, (degrees anti-clockwise), the default value is 0
A Part Circle can alternatively be created by selecting three points:
* {{Parameter|Angle 1}}: end of the curved edge, (degrees anti-clockwise), the default value is 360
# In the task panel of the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command select the {{MenuCommand|[[Image:Part_Circle.svg|16px]] Circle}} option from the dropdown list.
# Press the {{Button|From three points}} button.
# Select three vertices in the [[3D_view|3D view]]. There is no need to hold down the {{KEY|Ctrl}} key.
# A circle is created.
# The selected vertices are only used at creation time to calculate the {{PropertyData|Radius}} and {{PropertyData|Placement}} of the circle.

== Example ==

[[Image:Part_Circle_Scripting_Example.png|thumb|Part Circle from the scripting example]]

A Part Circle object created with the [[#Scripting|scripting example]] below is shown here.

<span id="Properties"></span>
<div class="mw-translate-fuzzy">
===Proprietăți===
Crearea unui cerc sau a unui arc de cerc parametric.

Utilizăm meniul {{KEY|[[Image:Part_CreatePrimitives.png|16px]] Crea primitive... → Cerchio}}. Și apare o fereastră de dialog. Se deschide un dialog care vă permite să setați:
===Primitive Geometrice===
{|
|[[File:PartCirclePrimitivesOptions_it.png]]
|
Cercul
====Parametri====
* {{Parameter|Raza}}
* {{Parameter|Unghiul 1}}
* {{Parameter|Unghiul 2}}
* {{Parameter|Cerc definit din trei puncte}}
|}
</div>

See also: [[Property_editor|Property editor]].

A Part Circle object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Base}}

<div class="mw-translate-fuzzy">
* {{Parameter|Radius}}: raza muchiei curbate (arc or circle)
* {{Parameter|Angle 0}}: Unghiul de pornire a muchiei curbate, (degrees anti-clockwise), valoara implictă este 0
* {{Parameter|Angle 1}}: Unghiul de capăt al muchiei curbate, (degrees sens antiorar/trigonometric), valoarea implictă este 360
</div>

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Circle can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
}}

* Where {{Incode|"myCircle"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()
}}


{{Docnav
|[[Part_Spiral|Spiral]]
|[[Part_Ellipse|Ellipse]]
|[[Part_Workbench|Part]]
|IconL=Part_Spiral.svg
|IconR=Part_Ellipse.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 14:13, 3 February 2023

Part Circle

Menu location
Part → Create Primitives → Circle
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
..

Descriere

Un element primitiv geometric este Circle care este disponibil din dialogul Create Primitives în Atelierul de lucru Part.

Această comandă va crea o muchie curbată circulară. Cu valorile implicite, muchia curbată circulară va fi închisă și, prin urmare, va fi un cerc. Dacă proprietățile Unghi 0 sau Unghi 1 sunt modificate din valorile implicite (0 și 360) marginea va fi o curbă deschisă, un arc de cerc.

A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its DateAngle1 and/or DateAngle2 properties.

Usage

See Part Primitives.

A Part Circle can alternatively be created by selecting three points:

  1. In the task panel of the Part Primitives command select the Circle option from the dropdown list.
  2. Press the From three points button.
  3. Select three vertices in the 3D view. There is no need to hold down the Ctrl key.
  4. A circle is created.
  5. The selected vertices are only used at creation time to calculate the DateRadius and DatePlacement of the circle.

Example

Part Circle from the scripting example

A Part Circle object created with the scripting example below is shown here.

Proprietăți

Crearea unui cerc sau a unui arc de cerc parametric.

Utilizăm meniul Crea primitive... → Cerchio. Și apare o fereastră de dialog. Se deschide un dialog care vă permite să setați:

Primitive Geometrice

Cercul

Parametri

  • Raza
  • Unghiul 1
  • Unghiul 2
  • Cerc definit din trei puncte

See also: Property editor.

A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • Radius: raza muchiei curbate (arc or circle)
  • Angle 0: Unghiul de pornire a muchiei curbate, (degrees anti-clockwise), valoara implictă este 0
  • Angle 1: Unghiul de capăt al muchiei curbate, (degrees sens antiorar/trigonometric), valoarea implictă este 360

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Circle can be created with the addObject() method of the document:

circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
  • Where "myCircle" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()